Subject: [bug#40373] [PATCH] guix: new command "guix run-script"

From: Konrad Hinsen <[email-masked]>
Date: Thu, 02 Apr 2020 11:37:18 +0200

Hi Simon,

> Maybe, we could deprecated "repl" and add "run" with:
>  - guix run <file> (same than the "guix run-script" proposal)
>  - guix run or guix run --repl doing the what "guix repl" does.

Yes, unifying the two functionalities under a new name is an interesting
options.

Could we go for "guix guile" and make it option-compatible with plain
Guile as much as possible? Just an idea, I am not sure it's a good one!
Guile can already be a pain in a shebang line.

Cheers,
  Konrad